upstream studentclub-api-prod {
  server studentclub-api-prod:3000;
}

server {
  ##
  # Genaral Setting
  ##
  listen 80;
  listen [::]:80;
  server_name api.studentclub.vasin.me;

  
  # Redirect
  # return 301 https://api.studentclub.vasin.me$request_uri;
}

server {
  # Genaral Setting
  # * listen 443 ssl;
  # * listen [::]:443 ssl;

  ##
  # Auto Https
  ##
  # * if ($http_x_forwarded_proto = "http") {
  # *  return 301 https://api.studentclub.vasin.me$request_uri;
  # * }

  ##
  # SSL Setting
  ##
  # * ssl_certificate /etc/nginx/ssl/ssl.crt;
  # * ssl_certificate_key /etc/nginx/ssl/ssl.me.key;
  # ssl_certificate /etc/nginx/ssl/ssl.chained.crt;
  # ssl_certificate_key /etc/nginx/ssl/ssl.key;
  # * ssl_protocols TLSv1 TLSv1.1 TLSv1.2;
  # * ssl_prefer_server_ciphers on;
  # * ssl_ciphers AES256+EECDH:AES256+EDH:!aNULL;

  location / {
    proxy_set_header Upgrade $http_upgrade;
    proxy_set_header Connection "upgrade";
    proxy_set_header X-Forwarded-Proto https;
    proxy_set_header X-Forwarded-Proto https;
    proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
    proxy_set_header Host $http_host;
    proxy_redirect off;
    proxy_pass http://studentclub-api-prod;

    # add Strict-Transport-Security to prevent man in the middle attacks
    add_header Strict-Transport-Security "max-age=31536000" always;
  }
}


